#pragma once
#include <myapp/cmdargs/errors.h>
#include <string>

namespace myapp::cmdargs {

struct options final
{
    bool showhelp = false;
    bool nofork = false;
    bool rcon = false;
    std::string config;

    static options parse_arguments(int argc, char * const argv[]);
    static std::string list_all();
};

} /* namespace myapp::cmdargs */
